AOZ Studio Beta - Bug #716

All patterns for Set Pattern are wrong (resolution reduced)
04/06/2021 06:05 AM - Brian Flanagan
Category: Estimated time: 1:00 hour
Target version:

Affected version: 1.0.0 (B7)

Description

In either manifest, pattern 9 and 23 have glitches.
(Seems like this should be easy to fix.)

History

#1 - 04/06/2021 06:12 AM - Brian Flanagan

Pattern 9 should be a continuous scale-like pattern.
Pattern 23 should be thick solid diagonal lines.

#2 - 04/06/2021 03:09 PM - Francois Lionet
- Status changed from New to Feedback

- Assignee set to Francois Lionet
Will be fixed with real Amiga renderer.
#3 - 04/06/2021 03:50 PM - Brian Flanagan

Thanks for the update, Francois!

| know this is low priority, but when you get around to it, it is a problem in both manifests... although it will probably bother the AMOS/Amiga people
the most, since they know how it is supposed to work. ;-)

Here are some notes:

| researched this further and found the problem. Actually all of the patterns are wrong. The problem is that they're supposed to be 16 x 16 pixel
patterns, but they're being mapped to 8 x 8 pixel patterns, so with the reduction to 1/4 of their original resolution, they're never going to look quite
right. It just so happens that patterns # 9 and # 23 have the most visible flaws. (In particular #9.)

(Later I'll add screen shots of the correct patterns 9 & 23, so it will be obvious.)

To correct this will require re-writing the pattern fill code to accommodate the full 16 x 16 pixel patterns.

#4 - 04/11/2021 08:20 PM - David Baldwin

I've fixed pattern 23. Can't figure out what 9 is supposed to be, even on Amos. All the rest work as 8 bit patterns so | would guess that's the way they
were intended. Maybe it's a bug on Amos that 9 is messed up? I've changed it to a nice brick pattern for now, so at least it looks like something. Can
easily be changed back if the Amiga purists complain.

#5 - 04/12/2021 11:46 AM - Brian Flanagan

- Subject changed from Some patterns for Set Pattern are wrong to All patterns for Set Pattern are wrong (resolution reduced)

Thanks, Dave!

Pattern 9 is an unusual pattern, but | don't think it's a bug in AMOS. The pattern is more complex than the rest of them, that there's no way to
represent it as an 8x8 pattern. I'll add the snapshots here today. | hadn't added them yet since Amiga Forever is installed on my old machine which
isn't networked right now, so | have to manually copy the files over.

This is way low priority... so don't worry about it right now. Leaving them as 8-bit isn't a huge deal at this point. We can fix it later. It will just be
annoying having them the wrong size (and at the lower resolution)... however, | actually wrote a little program in AMOS to output all of the patterns as
they should be to a file. This should make it easier when we get around to fixing this for real. (Maybe then we can implement the negative patterns
[sprites/bobs] as well.) ;-)
#6 - 10/05/2022 10:13 PM - David Baldwin

Old Amos patterns now auto scaled up to 4x in AOZ mode, and patterns from images are now possible, also fully scalable.

#7 - 10/05/2022 10:13 PM - David Baldwin

- Status changed from Feedback to Resolved

Files
Pattern9-Wrong.png 3.75 KB 04/06/2021 Brian Flanagan
Pattern23-Wrong.png 3.57 KB 04/06/2021 Brian Flanagan
